#!/bin/bash
all_php_fpm=`ls /etc/init.d/php*fpm`

for php_fpm in $all_php_fpm; do
        output=`$php_fpm status`
        result=$?

        if [ $result -ne 0 ]; then
                echo "ERROR: $php_fpm not working"
                exit 2
        fi
done

echo "OK: Everything working fine"
exit 0
